From c8c52512ff48bee578901c381a42f027e79eadf9 Mon Sep 17 00:00:00 2001
Message-Id: <c8c52512ff48bee578901c381a42f027e79eadf9.1620066716.git.baruch@tkos.co.il>
In-Reply-To: <40979666b4371012405715ffa61ab5760fcdc6b3.1620066716.git.baruch@tkos.co.il>
References: <40979666b4371012405715ffa61ab5760fcdc6b3.1620066716.git.baruch@tkos.co.il>
From: Baruch Siach <baruch@tkos.co.il>
Date: Mon, 3 May 2021 20:20:29 +0300
Subject: [PATCH 3/3] Drop _nocache variants of ioremap()

Recent kernels removed them.
---
 hal/dp_ops/edma_dp/edma_v1/edma_data_plane.c          | 2 +-
 hal/gmac_ops/qcom/qcom_if.c     | 2 +-
 hal/gmac_ops/syn/xgmac/syn_if.c | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

--- a/hal/dp_ops/edma_dp/edma_v1/edma_data_plane.c
+++ b/hal/dp_ops/edma_dp/edma_v1/edma_data_plane.c
@@ -279,7 +279,7 @@ int edma_init(void)
 	/*
 	 * Remap register resource
 	 */
-	edma_hw.reg_base = ioremap_nocache((edma_hw.reg_resource)->start,
+	edma_hw.reg_base = ioremap((edma_hw.reg_resource)->start,
 				resource_size(edma_hw.reg_resource));
 	if (!edma_hw.reg_base) {
 		pr_warn("Unable to remap EDMA register memory.\n");
--- a/hal/gmac_ops/qcom/qcom_if.c
+++ b/hal/gmac_ops/qcom/qcom_if.c
@@ -418,7 +418,7 @@ static void *qcom_init(struct nss_gmac_h
 	qhd->nghd.mac_id = gmacpdata->macid;
 
 	/* Populate the mac base addresses */
-	qhd->nghd.mac_base = devm_ioremap_nocache(&dp_priv->pdev->dev,
+	qhd->nghd.mac_base = devm_ioremap(&dp_priv->pdev->dev,
 						res->start, resource_size(res));
 	if (!qhd->nghd.mac_base) {
 		netdev_dbg(ndev, "ioremap fail.\n");
--- a/hal/gmac_ops/syn/xgmac/syn_if.c
+++ b/hal/gmac_ops/syn/xgmac/syn_if.c
@@ -432,7 +432,7 @@ static void *syn_init(struct nss_gmac_ha
 
 	/* Populate the mac base addresses */
 	shd->nghd.mac_base =
-		devm_ioremap_nocache(&dp_priv->pdev->dev, res->start,
+		devm_ioremap(&dp_priv->pdev->dev, res->start,
 				     resource_size(res));
 	if (!shd->nghd.mac_base) {
 		netdev_dbg(ndev, "ioremap fail.\n");
